import * as THREE from "three";
import * as BUI from "@thatopen/ui";
/**
 * Creates a BIM panel section for mesh graphics settings.
 *
 * @param mesh - The THREE.Mesh object to be manipulated.
 * @param options - Optional parameters.
 * @param options.collapsed - If true, the panel section will be initially collapsed.
 *
 * @returns A BUI.html element representing the panel section.
 *
 */
export declare const meshGraphics: (mesh: THREE.Mesh, options?: {
    collapsed?: boolean;
}) => BUI.TemplateResult<1>;
