import * as BUI from "@thatopen/ui";
import { ClassificationTreeUIState } from "./src/template";
/**
 * Creates a Classification Tree component with the given UI state.
 *
 * @param state - The initial state of the Classification Tree component.
 * @param autoUpdate - A flag indicating whether the component should automatically update when the FragmentsManager disposes its fragments.
 *                      Default value is `true`.
 *
 * @returns A tuple containing the created Classification Tree component and a function to update it.
 *          If `autoUpdate` is `true`, the function will update the component when the FragmentsManager disposes its fragments.
 */
export declare const classificationTree: (state: ClassificationTreeUIState, autoUpdate?: boolean) => [element: BUI.Table<BUI.TableRowData>, update: BUI.UpdateFunction<ClassificationTreeUIState>, currentState: () => ClassificationTreeUIState];
