import * as FRAGS from "@thatopen/fragments";
import * as BUI from "@thatopen/ui";
import * as OBC from "@thatopen/components";
/**
 * UI State to render an element properties table
 */
export interface ElementPropertiesUI {
    /**
     * The main entry point of @thatopen/components in your app
     */
    components: OBC.Components;
    /**
     * The selection of elements to show its properties in the table
     */
    fragmentIdMap: FRAGS.FragmentIdMap;
    /**
     * Display a warning instead of the table in case there is no selection
     * @default true
     */
    emptySelectionWarning?: boolean;
    /**
     * Display units (m, mm, m², etc) in numeric values when apply
     * @remarks It can be expensive (temporal)
     * @default false
     */
    displayUnits?: boolean;
}
/**
 * Heloooooooooo
 */
export declare const elementPropertiesTemplate: (state: ElementPropertiesUI) => BUI.TemplateResult<1>;
