import * as BUI from "@thatopen/ui";
import { ModelsListUIState } from "./src/template";
/**
 * Creates a table component for displaying a list of models.
 *
 * @param state - The initial state of the models list component.
 * @param autoUpdate - A flag indicating whether the component should automatically update when fragments are loaded or disposed.
 *                      Default value is `true`.
 *
 * @returns A tuple containing the table component element and a function to update the component.
 *
 * @remarks
 * This function creates a table component using the provided state and template.
 * If `autoUpdate` is set to `true`, the component will automatically update when fragments are loaded or disposed.
 */
export declare const modelsList: (state: ModelsListUIState, autoUpdate?: boolean) => [element: BUI.Table<BUI.TableRowData>, update: BUI.UpdateFunction<ModelsListUIState>, currentState: () => ModelsListUIState];
