import * as BUI from "@thatopen/ui";
import { RelationsTreeUIState } from "./src/template";
/**
 * Creates a relations tree component with the given state and optional auto-update feature.
 *
 * @param state - The initial state of the relations tree component.
 * @param autoUpdate - A flag indicating whether the component should automatically update when related data changes.
 *                      Default is `true`.
 *
 * @returns A tuple containing the root element of the relations tree component and a function to update the component's state.
 *
 * @remarks
 * This function creates a relations tree component using the provided state and optional auto-update feature.
 * If `autoUpdate` is `true`, the component will automatically update when related data changes, such as
 * when fragments are disposed or relations are indexed.
 *
 */
export declare const relationsTree: (state: RelationsTreeUIState, autoUpdate?: boolean) => [element: BUI.Table<BUI.TableRowData>, update: BUI.UpdateFunction<RelationsTreeUIState>, currentState: () => RelationsTreeUIState];
