import * as BUI from "@thatopen/ui";
import { TopicCommentsUI } from "./src/template";
/**
 * Creates a Topic Comments List component with the given UI state.
 *
 * @param state - The initial state of the Topic Comments List component.
 * @param autoUpdate - A flag indicating whether the component should automatically update based on events happening in the BCFTopic component.
 * Default value is `true`.
 *
 * @returns A tuple containing the created Topic Comments List component and a function to update it.
 */
export declare const topicComments: (state: TopicCommentsUI, autoUpdate?: boolean) => [element: BUI.Table<BUI.TableRowData>, update: BUI.UpdateFunction<TopicCommentsUI>, currentState: () => TopicCommentsUI];
