import * as BUI from "@thatopen/ui";
import { ViewpointsUI } from "./src/template";
/**
 * Creates a Viewpoints component with the given UI state.
 *
 * @param state - The initial state of the Viewpoints component.
 * @param autoUpdate - A flag indicating whether the component should automatically update based on events happening in the BCFTopic component.
 * Default value is `true`.
 *
 * @returns A tuple containing the created Viewpoints component and a function to update it.
 */
export declare const viewpointsList: (state: ViewpointsUI, autoUpdate?: boolean) => [element: BUI.Table<BUI.TableRowData>, update: BUI.UpdateFunction<ViewpointsUI>, currentState: () => ViewpointsUI];
