import * as THREE from "three";
import { LitElement } from "lit";
/**
 * A custom 3D view cube component for BIM applications. HTML tag: bim-view-cube
 */
export declare class ViewCube extends LitElement {
    /**
     * CSS styles for the component.
     */
    static styles: import("lit").CSSResult;
    private _defaults;
    size?: number;
    rightText?: string;
    leftText?: string;
    topText?: string;
    bottomText?: string;
    frontText?: string;
    backText?: string;
    private _cssMatrix3D;
    private _matrix;
    private _onRightClick;
    private _onLeftClick;
    private _onTopClick;
    private _onBottomClick;
    private _onFrontClick;
    private _onBackClick;
    private _camera;
    set camera(value: THREE.Camera | null);
    get camera(): THREE.Camera | null;
    private _epsilon;
    updateOrientation(): void;
    protected render(): import("lit-html").TemplateResult<1>;
}
