import * as BUI from "@thatopen/ui";
import * as OBC from "@thatopen/components";
import * as OBF from "@thatopen/components-front";
import { LitElement } from "lit";
/**
 * A world for BIM Apps.
 * @element bim-world
 */
export declare class World extends LitElement {
    static styles: import("lit").CSSResult;
    name?: string;
    world: OBC.SimpleWorld<OBC.SimpleScene, OBC.OrthoPerspectiveCamera, OBF.PostproductionRenderer> | null;
    private _components;
    set components(value: OBC.Components | null);
    get components(): OBC.Components | null;
    private _viewport;
    connectedCallback(): void;
    disconnectedCallback(): void;
    dispose(): void;
    firstUpdated(): void;
    private onSlotChange;
    protected render(): BUI.TemplateResult<1>;
}
