import * as OBC from "@thatopen/components";
import * as OBF from "@thatopen/components-front";
import { LitElement } from "lit";
/**
 * A custom 2D Scene component for BIM applications. HTML tag: bim-world-2d
 */
export declare class World2D extends LitElement {
    /**
     * CSS styles for the component.
     */
    static styles: import("lit").CSSResult;
    private _gridColor?;
    set gridColor(value: string | undefined);
    get gridColor(): string | undefined;
    private _gridScaleX?;
    set gridScaleX(value: number | undefined);
    get gridScaleX(): number | undefined;
    private _gridScaleY?;
    set gridScaleY(value: number | undefined);
    get gridScaleY(): number | undefined;
    get gridOffsetX(): number;
    set gridOffsetX(value: number);
    get gridOffsetY(): number;
    set gridOffsetY(value: number);
    private _grid;
    set components(components: OBC.Components);
    private _world;
    get world(): OBC.SimpleWorld<OBC.SimpleScene, OBC.OrthoPerspectiveCamera, OBF.RendererWith2D> | null;
    private resize;
    dispose(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    protected render(): import("lit-html").TemplateResult<1>;
}
