import * as THREE from "three";
/**
 * An infinite lightweight 2D grid that can be used for any
 * kind of 2d viewports.
 */
export declare class Infinite2DGrid {
    private _group;
    private _frustum;
    private _frustumMat;
    private _camera;
    private _container;
    private _regenerateDelay;
    private _regenerateCounter;
    readonly material: THREE.LineBasicMaterial;
    grids: {
        main: THREE.LineSegments;
        secondary: THREE.LineSegments;
    };
    numbers: THREE.Group<THREE.Object3DEventMap>;
    maxRegenerateRetrys: number;
    gridsFactor: number;
    private _scaleX;
    set scaleX(value: number);
    get scaleX(): number;
    private _scaleY;
    set scaleY(value: number);
    get scaleY(): number;
    private _offsetX;
    set offsetX(value: number);
    get offsetX(): number;
    private _offsetY;
    set offsetY(value: number);
    get offsetY(): number;
    constructor(camera: THREE.Camera, container: HTMLElement);
    get(): THREE.Group<THREE.Object3DEventMap>;
    dispose(): void;
    regenerate(): void;
    private newNumber;
    private newGrid;
    private isGridReady;
}
